## opentyrian 0.3-3

=== Makefile ===
# BUILD SETTINGS ###################################

# Valid values: WINDOWS, UNIX, GP2X
PLATFORM := UNIX

# If building for the GP2X
GP2X_CHAINPREFIX := /opt/open2x/gcc-4.1.1-glibc-2.3.6
GP2X_CHAIN := $(GP2X_CHAINPREFIX)/bin/arm-open2x-linux-

# END SETTINGS #####################################

TARGET := tyrian
OBJS := animlib.o backgrnd.o config.o destruct.o editship.o episodes.o file.o fm_synth.o fmopl.o fonthand.o game_menu.o helptext.o joystick.o jukebox.o keyboard.o lds_play.o loudness.o lvllib.o lvlmast.o mainint.o menus.o mtrand.o musmast.o network.o newshape.o nortsong.o nortvars.o opentyr.o palette.o params.o pcxload.o pcxmast.o picload.o scroller.o setup.o sndmast.o starlib.o sizebuf.o tyrian2.o varz.o vga256d.o vga_palette.o video.o video_scale.o xmas.o

STRIP := strip

CFLAGS += --std=c99 -pedantic -Wall -I$(CURDIR)/src/
CFLAGS += -Wstrict-prototypes -Wold-style-definition -Wmissing-declarations -Wunused-parameter
LDFLAGS += -lm

ifeq ($(PLATFORM), UNIX)
	CC := gcc
	CFLAGS += -DTARGET_UNIX
	
	SDL_CFLAGS := `sdl-config --cflags`
	SDL_LDFLAGS := `sdl-config --libs` -lSDL_net
endif
ifeq ($(PLATFORM), WINDOWS)
	SDL_CFLAGS := -I/mingw/include/SDL -D_GNU_SOURCE=1 -Dmain=SDL_main
	SDL_LDFLAGS := -L/mingw/lib -lmingw32 -lSDLmain -lSDL -lSDL_net -mwindows
endif
ifeq ($(PLATFORM), GP2X)
	CC := $(GP2X_CHAIN)gcc
	STRIP := $(GP2X_CHAIN)strip
	
	CFLAGS += -DTARGET_GP2X -mcpu=arm920t -mtune=arm920t -msoft-float -ffast-math
	
	SDL_CFLAGS := `$(GP2X_CHAINPREFIX)/bin/sdl-config --cflags` -I$(GP2X_CHAINPREFIX)/include
	SDL_LDFLAGS := `$(GP2X_CHAINPREFIX)/bin/sdl-config --libs` -L$(GP2X_CHAINPREFIX)/lib
endif

CFLAGS += $(SDL_CFLAGS)
LDFLAGS += $(SDL_LDFLAGS)

DEBUG := 0

DEBUG_FLAGS_0 := -g -O2 -DNDEBUG -fno-strict-aliasing
DEBUG_FLAGS_1 := -g3 -O0 -Werror

SVN_REV := $(shell svnversion src -n)
ifneq ($(SVN_REV), )
	ifeq ($(SVN_REV), exported)
		SVN_REV := unknown
	endif
	
	CFLAGS += -DSVN_REV=\"$(SVN_REV)\"
endif

####################################################

all : $(TARGET)

OBJS := $(foreach obj, $(OBJS), obj/$(obj))

$(TARGET) : $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

ifneq ($(MAKECMDGOALS), clean)
-include $(OBJS:.o=.d)
endif

obj/%.d : obj/%.o
obj/%.o : src/%.c
	$(CC) -o $@ -MMD -c $(DEBUG_FLAGS_$(DEBUG)) $(CFLAGS) $<

.PHONY : release clean

release : DEBUG := 0
release : all
	$(STRIP) $(TARGET)

clean :
	rm -f obj/*.o obj/*.d
	rm -f $(TARGET)

## opentyrian 0.1-1

=== debian/changelog ===
opentyrian (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Tue, 13 Apr 2010 16:05:18 -0300

=== debian/control ===
Source: opentyrian
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, libsdl-net1.2-dev, debhelper (>= 5)
Standards-Version: 1.0.0

Package: opentyrian
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Opentyrian port for n900.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDCw4iJpDxhu8AABKCSURBVGje7VppkFxXdf7uW/r1631fZt88o30Z
 SZblTV6QbQVbeGVNjJMyicNawSSVVFIYk3JCJamQkCLBlIMBGwgGgwFDGYyx
 grEVLZa1zWhmNDPdo+mZ3pfX/fbt5oc0BsXyIpvwy+dPv3eqz73n9Dnn3u+c
 08Db9Db9/9K6det+Z3v19vae87558+a3tmAqlQIAbNiw4XOrVq364Arf6/X+
 VhUPBoMvP3MMl7366qv/cseOS94JAJlM5jVl2fMxw4keGGobiqLA7/ffOjAw
 8IVNmza9k1L6kVKpNG/b9sk3oNenAGwAsA1AEsBsIpGAqqrnfGmgvx+VSgUA
 2PXr1//Hzmt2fnH16tU3nZrLDTmm/otypdp6rU3Ib76sHu7Cybll9HZnoiKP
 PZJqjw8MDf0Jy3Ce7u5uUq/VqeNapLl0akZnw7fNTM/NA/Y5Gvl8vm2jo6MH
 PvvZ+5HLz6NYXMbsbA4HDxzsFIvFtGmaWk93DwpLBQDA2NrN0YiX3h4QrC9u
 uXw3P3Nqlg4MDmHu8DPkhRPLzws8M5cMMp8/OlM8AgDwJACzdn4P1JodpDLd
 gwNxd9rPOf0bR5NzhBF3OowHqVSKzEweg2soSAfcBB/Kfni0139xTbJd09CP
 n12if9cNuw8bpsM2S4tk+1icmp08OTZVobzoF1Kp+C3Ly8v/3u60ASCzYeOW
 e9cPRR/K9g19oJsrsLmlJnUpIb0Dw6gWTpFOvSgOd4m/UnXn4W1jMWGm0P4F
 nHM9yK08DKeDIKGuYNrbnujIxseP5cKPYvKkns5kHx8aGtivaiqIo5FgKEYl
 k4HFuDQskF0f/8RHd33rm9/YMj83/0nRK9y4ecRHL3vvOCEMD0tvkq64D5cO
 a+i0TfqLY1IWwDCAubs/dHcu29PrXTjyUyiqQQkNkwBnkpZJYJkGKTTp4mxJ
 XTVbUtVQNP4Zy5Irey7tww9fOP03rzAgGElirlzFllDjq5mw9yvPH289BKhI
 p9Mol4oHBvr7AEqR6BqiXlEgAmWg6jpRdYbOTE0Rw7D0tcNd1fdcP5bwM018
 /9GvY2zdGvQPj4ERRFDXJXBVDCX80fjm4dmjudoNjXrNW1wuIekh8AoCsYWL
 KMPyxKep1LYs4g8E/wuACgABztRKHTYVU5n25eMj3/nV4dmj54SQqasAxM23
 Xb/6X7729PIn4eqLgANFUc4kdThsNxrNawy5QXinQw1ZItRU4WVBYHYgekkf
 Nc0uqsl0oWqTluLitOTB5JEZHJ4uoNRyUawZ0DUVq/sjmKso10jlfDAtdsDA
 AbE6lFAbsuGScqlMOnJnrrhcvLdardYBgPfH0KzX7Cs3ZvyTeemeVlt5eMUA
 5je8ccX61WPoDtG/WGGIwShWrVqFycnJBwqLi92FaufShbpFoj0jtHt0I0RB
 R49YpL1xvt/0xulMnSMykwQND0OyRURlE3KhCoT6saQIKGo8vvc/i1Q33S7L
 sGinXoMhDiLQvQFVhSEL+dPt2ZnZxMSJiW0TkxMz2e4eAECjWoI3lLxY1nBH
 yMtc/iqnENP1kTvfsTSUEvGtJ/djsWHfLyvW5xVFkgAgFI6iLTUhiuK2TDpz
 oKu7Cx7BD7AsBJ6FobQREV1ce+MdWFzIIyXK8FMDLa2FpupBVzKMJ/ctYm7q
 GOqSBtHnB2FZmkkmwDAM0XW9oCjKaDAY1I4fP3sm8EnPYIYdY0EfHM2wOzys
 i6MFl+YKFeacEIom0tBVuRMwnM94CkWs2dZHRzLCVT4PuYdhxESjjSXDaFcB
 wLbtZZZlD8qy/IHhkUHabrUIqxYQRQmDMQWDm6+D3FEw/+IP0XD8MBwOjYXj
 cLkAGgoBqZ+E6RA0JBWZIA9ZNUmxVCpwHLczn89Xz94JSKezt24d4u6LivTf
 +qJMb7Fp0IztJQVZ/8eWov/8nBBq1soAgLWxBFYJIeQONsAQhm5fn4ncdm3f
 p96xyfurRCL+2IpQvV7/Sbvd3q4oCmF5HrVSGc2OhWAkBUoIGIaFYQD1chml
 5SIcwkP0iSAgsFyCTJDABYNYSCSOYy0S6o7lcrl5AGB8ie3b13YdGYuq3/Sx
 9HbGBaaWFbrT4yM74wnwnBg47zEKAIQQnDZc6hm/mMzVmhjQj8MlHrpt03Bk
 +3r9jv2TPjpTY+6vLCz8c6fTORAIBOG4HeimhVjYD0XpgOc4cCyDaPcoulZd
 BdMwMHv8GXSkNhiWQ0DkYREeLtUQDQsotY0fNyXDGR3qXcfC+fJomtvBEQdV
 SaSq7sCyTCQHNpKKKNANeo1QUPZVDViolJ9IcszNiiTB1GSwYY7KHZ2024s0
 lY7j5us2UOKJ3je/vPaeanFxIhLSoBcKsFwCBi5c2wbPeyFLCvb0XISI18YT
 jz+Gk3oD3Nr1CIaiqFkO1q/txcTMNLIhBuJI+OatF4XGWYa72FDbmMnXqSgI
 xC96CEAodV2iqwrqokD2LZegWc7zr4qFphvSk0WbdmZyC7OaJh8Ne6xxL89S
 nmOJa7uwXBfRsA+Kqgdmc8XBeq1CS9Um0XQNibAP4aCIR7/xOPYfPIzxbBJV
 WcPPmzWUShUcnlpCvXAKIZ8HBBaMtoug16WuawbhWN2GLuPQ5BJlWY74BA84
 jqWUUiJbpF1sKN8oVSoHFin7hYVi6ZF4pgua3HmlBwAopZb0OQBoSRK8TnBp
 y1jk0zwLSgFCQYlpGjgxs4wTRYKMo5M+lodkW7BN4Ol9Jci6iabNw7l6D6RW
 A83DU/DGh2BJc1humlA6KhZrPiRYHv6KTo57I6CEIsiqYAghlFJKAVBKiWY4
 yqmq8UGlU3tiRcH0wCDK+dxro9GXsVHb3Ov18IxpuVeFfBxlWJZ4vQJyS224
 YgK7IwJSLNAmPgTKVVw+PICdfSnYoQDqrQbyudMQBB4hkcLv5eDzMiA2Rcpx
 sS0RRjKWgJIdgst5obXKaCkWGIaB18OSpmLTo/nWuy3T+EEqHoaiGWd+4Vbr
 9eH0WdQPwMZSXdvLc9xSKiLsSaYiNBmPk6rG43ShDrurD5ZXgsQEIVELV7xz
 LVqCg2xagKtX8PyJZVyxMYXBUBvdSQ/WD8aRTMdQz1fR3RPEXDAKUAJByYGy
 QKcjUy/PE80itK7QrZph7PWLHrTa6oXVA2fIPvspoN5WDhOA8bHOVRdfeTX9
 wRM/JRxc+EMhwBuFVFvAPR+8EorpQtUN5BbKeOanc7iVMXH6+Zfw0ISMhOAg
 EQ8gERax2JZRpYDm6QfDArpho9nUqKoqxKZQagb/bqnd2QsAlu1ceEFzLp1Z
 oNwy9sqKzb50eGJnrQMMD2RBGA62reE9u9fBNG386JfzeHG6hpYdxnWBDv5p
 7hO4rLIfR2bjOCy5mM6V4dg2BpMc2rKFpZqKRDoLlxVRrRaJZqFd0nx3Gor0
 g2jYD92wXlc75o2UfHy4GwAwV1Y+LSGGkXXj4GKDaEkSdm9LIhUL4us/mUZd
 E9Do2PAHIzDSa/Dna/4TTx1dA6crjq0Xb8FyTcOBUyqkjoW+pBc9QhWyrIDj
 WOoJJkGE0HddvfmE1xdEU1LeUDl6Xg9ks1nIsoyenp7YLbfckvR7EFpeXuZc
 19V4nv+MYRhoVxdx7x9sgaaZ+LsHnwYVEoDrwDQNrPEw+NOBDO6bzmF8pBcR
 R8fhYh2ddhtgGBS0MBI+EzzjAkoBiw2QVrMB23EPqqryM9ErxG6//fZEMpkM
 Ly0tWY7jvKoruPMxi8Ui4onEqO26jyq6sc0fDmDTxo0zDMvWOQazI0lz5NLN
 YyiWWwiHRBSbFoJujY7Fw+TqnjAYoiFPPGBZH6a8GaTsErJaCTduGsVn9x3H
 umSKtnSGiLZDeZYjo6EKbbAgVMwMb9iwfq/oF4dCsWj6paPHEAiFvtSo1T72
 G0n5+gYAQMgn3rPnkq3bVncnMHrF7Xjgiw+OxuIRCB4eq1MGVToSYTgegoen
 PMeRZrNBEIsgCIce0ivken0AhAKcrkJ1XdghgrhHABwXy8UiWb21C25Hhlfg
 aSwSJlmGp5PVwLWRcATX3HAdsp0a7dc2k32z8/fklYEHjh06VLigHLAtU2CX
 8uiZPwlaXILH60U0EUMwEsapdoQ44OBYFp795RGS5luXyB2ZJHTtr55uFMg1
 0QHqsgRgCIY4oCsQRxf14cVioQV/bHWjXiOn5+YOxMN+EouEiTccRZ1fS9aN
 b0G2P4uWoqFnMUcCJ48AUgOxbJa54CQmDMuTcBR2Ik09kQgE1oSXqlAVDbZD
 UVY84DkGDuffe6JEjwHA85ZJUk4QJ5pt8sf7D8AhBD+cnMaDMxO0jw/S7xdr
 fNrL2wAQjMZ2Kw4PX9CHCsaoLyhCkRogRhu22gBNpoFUljJeH0xVIxeUAwCg
 GuYvv3N06uYfT+WTyck57LlqCIxawI9mBDQry2B4H27ZbEJpt4WVdRbnFv5e
 6E7+mdJxEhwrIhj0k5mWBEp95JGSBi8R/6FcKcye2VkMhCIhHJupYl7aTwYH
 BxBhO1g3FqCVfJF87EAR1XqLmI5zjHAV6Q31hVYok8kgk0knRoaHc5ft2BaI
 p9I4/dIT8DEK7vvKiYlOs7wOgH/z2pEFQ23vmyma74+HhU65XIbgFW/jWPLd
 QCAInueh6zps2wYAvdVqiQCQTCbh9zJdIpSTiu4eP11VLw+GE3s2jYa/feee
 rd6WQhEfugq5/AIOHj76taeeeuruV0viV3XN9Te9q78981L+snCQ5uNdJBY2
 cGoqh72TzfdSU/72+WQSicTOWq3235FI5LEtW7bcceXOK3Bq+hR9/oV9JJeb
 z0YiEYtl2WS9Xp86pyeaDmOxLKF/cHi+LxMd2DQaIuppA9ziLF6MZQ8cOnB0
 F0DbF5QDhflZtFk/Hq8oaFs2Dh3NYeNVtyAaEHaf7VS8QiYajV69ffv25Xg8
 fl0yncaLU6eg2Q5Zu2Y1xsfHD8Zisf3JZDL+f+UWyxIAeLZu3iRwgkiOHZnE
 lOniBS4KVTY9gYCfXHAST0xM1IYuGnl2+6WXkGg85TZNobSwsEhvuunGmwBk
 JElCJBI5F/55vbSnpye7cdOmcMxQ8GGziqF2lboMg76+vp50Op2UZfmcUBAE
 YeXyvHt8y3gmf3pJV4TBRiKZxkVr1oDjuO/Ksiy9GSjB1EplcWhoGNVqtZ2b
 m9313HPP3W/bdmzXrl3/CiDTOgttV7yRz+cVWZbhgYkYKcFgWPhQJQFaoxSg
 lUrFLRQKDQDw+/0AAMMwAILrbrjhho8++eSTTKNev8M21b/1iiKUZhWmrnNv
 EguxSPgc6mcNWLbNMIT4a7Xa/S+88MKHgsHgu9/3/vdNJBPJLwFgpTOdF3Q6
 nUfnc3m1PH+Ayu0qKrUaFoptqlXymD7xIpEkaRLAqeHh4ZWm2ciqVauO3Xvv
 vd+bnp5ePTs7u0WSpCcDoUCYZTnYhg4f474mFuJeC4UKgg+CchqaZoDjeZim
 ifxC/qFCocCMrRr76x2X7bizXCrfvri4+LHl5eVvASidmplOMd3hitmyfQ3a
 xtGOSoqWAYP490tS+zKe5zE3N0cGBgYeGhoa+iN/0N95+CsPzzcajdsAnAKA
 Rl3C7p0hWAUX9dcBc6/lHuI6DttqNTESpO4h0zIAgLoUlmt9+cTxE4+cOH5i
 kyAINBKJpM/4kwdcSzmtBUY7WuurC44bUG1KTOKbkuX2XcFwFB2piUwmMyjL
 8tefffbZBymlPgB7z7bmoaoqkgHWbi7MwXQA3bKYN2uAVmlIc9l04mLNqkdS
 vf3XVBbzR1bQarFY1ADsMwwD5XL5TCO4XEY03YtmeXFJ9/j2EMJwPMsQFq4O
 YEV5lEqleQDzLw9UwmFIkrQy/PCJgudKwyIwHdepdozimy1o3KVilW5dO3Ar
 tSkLy+wuVOqPAdBk+ZVYfaURrCtnj2vHsqljmY5lGpZlvVxWybL8ClnDMJDu
 6oXSaWNsoGfzWH/mc7am48hCdalQKPzhy1XVhVZkFDiptCS+Z7BvZyLApzws
 c9FSTfr2b3u4l8p2o1IsAJ7Iu67dOvJ0VyxE9p/M02JLvUtT5InzjaZev1Tj
 fz3I6+vpuvt9v3cl/f3rd9BL1w0denk4F4m9ZeVDK3cJH9xz10075U+893p6
 ycbVbjgWHweAru7uN1cTU/fX943U7hyePV2kw4N9W7rikQG/6LuPsnyZZZgp
 RVHMt2JAwO9PRSPhR67dMno/Sx3juePz1WO50l26LD179mjGGx7yvQHanMj2
 bB2KeXtlww5U2+qPq5XKM2/FgFgs9une3l5vq6M4C0vln8HoHAKghSJRtFvN
 316c+gOB8/LT6fSbXjMej5+/icDzb//D4G36XdH/AvCCJixzKNDoAAAAAElF
 TkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/opentyrian.sgml > opentyrian.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/opentyrian.
#	$(MAKE) DESTDIR=$(CURDIR)/debian/opentyrian install
	cp $(CURDIR)/tyrian.sh $(CURDIR)/debian/opentyrian/usr/bin/tyrian
	cp $(CURDIR)/tyrian.desktop $(CURDIR)/debian/opentyrian/usr/share/applications/hildon/tyrian.desktop
	cp $(CURDIR)/tyrian-48.png $(CURDIR)/debian/opentyrian/usr/share/icons/hicolor/48x48/hildon/tyrian.png
	cp $(CURDIR)/tyrian-64.png $(CURDIR)/debian/opentyrian/usr/share/icons/hicolor/64x64/hildon/tyrian.png
	cp $(CURDIR)/tyrian $(CURDIR)/debian/opentyrian/opt/opentyrian/tyrian
	cp -rf $(CURDIR)/tyrian21 $(CURDIR)/debian/opentyrian/opt/opentyrian/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	cp $(CURDIR)/prerm $(CURDIR)/debian/opentyrian/DEBIAN/prerm
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## opentyrian 0.2-1

=== debian/changelog ===
opentyrian (0.2-1) stable; urgency=low

  * Some fixes

 -- CepiPerez <cepiperez@gmail.com>  Tue, 13 Apr 2010 16:05:18 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: extra
 Maintainer: CepiPerez <cepiperez@gmail.com>
 Build-Depends: libsdl1.2-dev, libsdl-net1.2-dev, debhelper (>= 5)
-Standards-Version: 1.0.0
+Standards-Version: 3.7.2
 
 Package: opentyrian
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Opentyrian port for n900.
+ OpenTyrian is a port of the DOS shoot-em-up Tyrian
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
@@ -120,3 +121,4 @@
  bB2KeXtlww5U2+qPq5XKM2/FgFgs9une3l5vq6M4C0vln8HoHAKghSJRtFvN
  316c+gOB8/LT6fSbXjMej5+/icDzb//D4G36XdH/AvCCJixzKNDoAAAAAElF
  TkSuQmCC
+

## opentyrian 0.3-1

=== debian/changelog ===
opentyrian (0.3-1) unstable; urgency=low

  * Some fixes again

 -- CepiPerez <cepiperez@gmail.com>  Tue, 13 Apr 2010 16:05:18 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Opentyrian port for n900.
- OpenTyrian is a port of the DOS shoot-em-up Tyrian
+ OpenTyrian is a port of the DOS shoot-em-up Tyrian.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	dh_testroot
 #	dh_installchangelogs 
 #	dh_installdocs
-	dh_installexamples
+#	dh_installexamples
 #	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
@@ -87,7 +87,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
@@ -98,7 +98,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	cp $(CURDIR)/prerm $(CURDIR)/debian/opentyrian/DEBIAN/prerm
+	cp $(CURDIR)/debian/prerm $(CURDIR)/debian/opentyrian/DEBIAN/prerm
 	dh_builddeb
 
 binary: binary-indep binary-arch

## opentyrian 0.3-2

=== debian/changelog ===
opentyrian (0.3-2) unstable; urgency=low

  * Removed data files (copyright problems)
  * Added keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Tue, 13 Apr 2010 16:05:18 -0300

## opentyrian 0.3-3

=== debian/changelog ===
opentyrian (0.3-3) unstable; urgency=low

  * Added keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Tue, 13 Apr 2010 16:05:18 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Opentyrian port for n900.
  OpenTyrian is a port of the DOS shoot-em-up Tyrian.
+ You need to copy data files to /home/user/.opentyrian/tyrian21 folder to play the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,6 @@
 	cp $(CURDIR)/tyrian-48.png $(CURDIR)/debian/opentyrian/usr/share/icons/hicolor/48x48/hildon/tyrian.png
 	cp $(CURDIR)/tyrian-64.png $(CURDIR)/debian/opentyrian/usr/share/icons/hicolor/64x64/hildon/tyrian.png
 	cp $(CURDIR)/tyrian $(CURDIR)/debian/opentyrian/opt/opentyrian/tyrian
-	cp -rf $(CURDIR)/tyrian21 $(CURDIR)/debian/opentyrian/opt/opentyrian/
 
 
 # Build architecture-independent files here.

## opentyrian 2.1.20130907%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) release

override_dh_install:
	dh_install
	for size in 22 24 32 48 128 ; do \
	    install --mode=644 --preserve-timestamps -D \
                    linux/icons/tyrian-$${size}.png \
                    debian/opentyrian/usr/share/icons/hicolor/$${size}x$${size}/apps/opentyrian.png ;\
	done

## opentyrian 2.1.20130907+dfsg

=== Makefile ===
# BUILD SETTINGS ###########################################

ifneq ($(filter Msys Cygwin, $(shell uname -o)), )
    PLATFORM := WIN32
else
    PLATFORM := UNIX
endif

TARGET := opentyrian

WITH_NETWORK := true

############################################################

STRIP := strip

SDL_CONFIG := sdl-config

SRCS := $(wildcard src/*.c)
OBJS := $(SRCS:src/%.c=obj/%.o)

# FLAGS ####################################################

ifneq ($(MAKECMDGOALS), release)
    EXTRA_CFLAGS += -g3 -O0 -Werror
else
    EXTRA_CFLAGS += -g0 -O2 -DNDEBUG
endif
EXTRA_CFLAGS += -MMD -pedantic -Wall -Wextra -Wno-missing-field-initializers
ifeq ($(WITH_NETWORK), true)
    EXTRA_CFLAGS += -DWITH_NETWORK
endif

# HG_REV := $(shell hg id -ib && touch src/hg_revision.h)
HG_REV := 2.1.20130907
ifneq ($(HG_REV), )
    EXTRA_CFLAGS += '-DHG_REV="$(HG_REV)"'
endif

EXTRA_LDLIBS += -lm

SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
SDL_LDLIBS := $(shell $(SDL_CONFIG) --libs)
ifeq ($(WITH_NETWORK), true)
    SDL_LDLIBS += -lSDL_net
endif

ALL_CFLAGS += -std=c99 -I./src -DTARGET_$(PLATFORM) $(EXTRA_CFLAGS) $(SDL_CFLAGS) $(CFLAGS)
ALL_LDFLAGS += $(LDFLAGS)
LDLIBS += $(EXTRA_LDLIBS) $(SDL_LDLIBS)

# RULES ####################################################

.PHONY : all release clean

all : $(TARGET)

release : all
	$(STRIP) $(TARGET)

clean :
	rm -rf obj/*
	rm -f $(TARGET)

ifneq ($(MAKECMDGOALS), clean)
    -include $(OBJS:.o=.d)
endif

$(TARGET) : $(OBJS)
	$(CC) -o $@ $(ALL_LDFLAGS) $^ $(LDLIBS)

obj/%.o : src/%.c
	@mkdir -p "$(dir $@)"
	$(CC) -c -o $@ $(ALL_CFLAGS) $<

=== debian/changelog ===
opentyrian (2.1.20130907+dfsg-3) unstable; urgency=medium

  * Team upload
  * Replace kde-baseapps-bin dependency with kdialog (see #885839)
  * Set Vcs-* to point to salsa.debian.org
  * Use https for d/copyright Format
  * Standards-Version: 4.1.3 (no further changes)
  * Use debhelper compat level 11
  * Set Rules-Requires-Root to no
  * Don't strip binary during "make release", allowing dh_strip to
    extract debug symbols

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:41:02 +0000

opentyrian (2.1.20130907+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Display an error message when data is missing (Closes: #856728)
  * Exit gracefully after displaying that error, in particular resetting
    the screen resolution if running fullscreen in X11
  * Use HTTPS for Vcs-* URLs
  * Update years in Etienne Millon's packaging copyright

  [ Simon McVittie ]
  * Add Suggests on the programs used to display the message
  * Add DEP-3 metadata to Alexandre's patch

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Mar 2017 22:36:42 +0000

opentyrian (2.1.20130907+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #553035)

 -- Etienne Millon <me@emillon.org>  Tue, 31 Mar 2015 08:48:54 +0200

=== debian/control ===
Source: opentyrian
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Etienne Millon <me@emillon.org>,
 Alexandre Detiste <alexandre.detiste@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libsdl-net1.2-dev,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Homepage: https://bitbucket.org/opentyrian/opentyrian/
Vcs-Git: https://salsa.debian.org/games-team/opentyrian.git
Vcs-Browser: https://salsa.debian.org/games-team/opentyrian

Package: opentyrian
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 tyrian-data | game-data-packager (>= 40),
Suggests:
 zenity | kdialog | x11-utils | libnotify-bin,
Description: open-source port of the DOS shoot-em-up Tyrian
 Tyrian is an arcade-style vertical scrolling shooter. The story is set in
 20,031 where you play as Trent Hawkins, a skilled fighter-pilot employed to
 fight Microsol and save the galaxy.
 .
 This package needs game data from the original Tyrian game, which is available
 as a freeware. It can be installed using game-data-packager.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	$(MAKE) release
+	$(MAKE) release STRIP=": do not strip"
 
 override_dh_install:
 	dh_install

## opentyrian 2.1.20220318

=== Makefile ===
# BUILD SETTINGS ###############################################################

ifneq ($(filter Msys Cygwin, $(shell uname -o)), )
    PLATFORM := WIN32
    TYRIAN_DIR = C:\\TYRIAN
else
    PLATFORM := UNIX
    TYRIAN_DIR = $(gamesdir)/tyrian
endif

WITH_NETWORK := true

################################################################################

# see https://www.gnu.org/prep/standards/html_node/Makefile-Conventions.html

SHELL = /bin/sh

CC ?= gcc
INSTALL ?= install
PKG_CONFIG ?= pkg-config

VCS_IDREV ?= (git describe --tags || git rev-parse --short HEAD)

INSTALL_PROGRAM ?= $(INSTALL)
INSTALL_DATA ?= $(INSTALL) -m 644

prefix ?= /usr/local
exec_prefix ?= $(prefix)

bindir ?= $(exec_prefix)/bin
datarootdir ?= $(prefix)/share
datadir ?= $(datarootdir)
docdir ?= $(datarootdir)/doc/opentyrian
mandir ?= $(datarootdir)/man
man6dir ?= $(mandir)/man6
man6ext ?= .6
desktopdir ?= $(datarootdir)/applications
pixmapdir ?= $(datarootdir)/pixmaps

# see https://www.pathname.com/fhs/pub/fhs-2.3.html

gamesdir ?= $(datadir)/games

###

TARGET := opentyrian

SRCS := $(wildcard src/*.c)
OBJS := $(SRCS:src/%.c=obj/%.o)
DEPS := $(SRCS:src/%.c=obj/%.d)

###

ifeq ($(WITH_NETWORK), true)
    EXTRA_CPPFLAGS += -DWITH_NETWORK
endif

OPENTYRIAN_VERSION := $(shell $(VCS_IDREV) 2>/dev/null && \
                              touch src/opentyrian_version.h)
ifneq ($(OPENTYRIAN_VERSION), )
    EXTRA_CPPFLAGS += -DOPENTYRIAN_VERSION='"$(OPENTYRIAN_VERSION)"'
endif

CPPFLAGS ?= -MMD
CPPFLAGS += -DNDEBUG
CFLAGS ?= -pedantic \
          -Wall \
          -Wextra \
          -Wno-format-truncation \
          -Wno-missing-field-initializers \
          -O2
LDFLAGS ?=
LDLIBS ?=

ifeq ($(WITH_NETWORK), true)
    SDL_CPPFLAGS := $(shell $(PKG_CONFIG) sdl2 SDL2_net --cflags)
    SDL_LDFLAGS := $(shell $(PKG_CONFIG) sdl2 SDL2_net --libs-only-L --libs-only-other)
    SDL_LDLIBS := $(shell $(PKG_CONFIG) sdl2 SDL2_net --libs-only-l)
else
    SDL_CPPFLAGS := $(shell $(PKG_CONFIG) sdl2 --cflags)
    SDL_LDFLAGS := $(shell $(PKG_CONFIG) sdl2 --libs-only-L --libs-only-other)
    SDL_LDLIBS := $(shell $(PKG_CONFIG) sdl2 --libs-only-l)
endif

ALL_CPPFLAGS = -DTARGET_$(PLATFORM) \
               -DTYRIAN_DIR='"$(TYRIAN_DIR)"' \
               $(EXTRA_CPPFLAGS) \
               $(SDL_CPPFLAGS) \
               $(CPPFLAGS)
ALL_CFLAGS = -std=iso9899:1999 \
             $(CFLAGS)
ALL_LDFLAGS = $(SDL_LDFLAGS) \
              $(LDFLAGS)
ALL_LDLIBS = -lm \
             $(SDL_LDLIBS) \
             $(LDLIBS)

###

.PHONY : all
all : $(TARGET)

.PHONY : debug
debug : CPPFLAGS += -UNDEBUG
debug : CFLAGS += -Werror
debug : CFLAGS += -O0
debug : CFLAGS += -g3
debug : all

.PHONY : installdirs
installdirs :
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(docdir)
	mkdir -p $(DESTDIR)$(man6dir)
	mkdir -p $(DESTDIR)$(desktopdir)
	mkdir -p $(DESTDIR)$(pixmapdir)

.PHONY : install
install : $(TARGET) installdirs
	$(INSTALL_PROGRAM) $(TARGET) $(DESTDIR)$(bindir)/
	$(INSTALL_DATA) NEWS README $(DESTDIR)$(docdir)/
	$(INSTALL_DATA) linux/man/opentyrian.6 $(DESTDIR)$(man6dir)/opentyrian$(man6ext)
	$(INSTALL_DATA) linux/opentyrian.desktop $(DESTDIR)$(desktopdir)/
	$(INSTALL_DATA) linux/icons/tyrian-32.png $(DESTDIR)$(pixmapdir)/opentyrian.png

.PHONY : uninstall
uninstall :
	rm -f $(DESTDIR)$(bindir)/$(TARGET)
	rm -f $(DESTDIR)$(docdir)/NEWS $(DESTDIR)$(docdir)/README
	rm -f $(DESTDIR)$(man6dir)/opentyrian$(man6ext)
	rm -f $(DESTDIR)$(desktopdir)/opentyrian.desktop
	rm -f $(DESTDIR)$(pixmapdir)/opentyrian.png

.PHONY : clean
clean :
	rm -f $(OBJS)
	rm -f $(DEPS)
	rm -f $(TARGET)

$(TARGET) : $(OBJS)
	$(CC) $(ALL_CFLAGS) $(ALL_LDFLAGS) -o $@ $^ $(ALL_LDLIBS)

-include $(DEPS)

obj/%.o : src/%.c
	@mkdir -p "$(dir $@)"
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

=== debian/changelog ===
opentyrian (2.1.20220318-1) unstable; urgency=medium

  * Package new upstream version that uses SDL2 (Closes: #1012270)
  * Update watch file to v4, use GitHub repository
  * 'macosx/' has been dropped from archive, no more need for repacking
  * bump debhelper-compat to 13
  * drop most patches, they are not needed anymore
  * bump Standard Version to 4.6.0, no further change needed
  * update description and metadata of game-data-packager patch
  * debian/changelog:
     * remove trailing slashes that confuses lintian
     * cJSON.c usage is gone, remove copyright stanza
     * update copyright years

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 11 Aug 2022 20:45:47 +0200

opentyrian (2.1.20130907+dfsg-4) unstable; urgency=medium

  * Team upload

  [ Reiner Herrmann ]
  * Update homepage

  [ Simon McVittie ]
  * Add patch from upstream to fix FTBFS with -fno-common (gcc 10)
    (Closes: #966066)
  * Refresh patch metadata

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Aug 2020 11:52:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Etienne Millon <me@emillon.org>,
  Alexandre Detiste <alexandre.detiste@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
- libsdl-net1.2-dev,
+ debhelper-compat (= 13),
+ libsdl2-net-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
-Homepage: https://bitbucket.org/opentyrian/opentyrian/
+Standards-Version: 4.6.0
+Homepage: https://github.com/opentyrian/opentyrian
 Vcs-Git: https://salsa.debian.org/games-team/opentyrian.git
 Vcs-Browser: https://salsa.debian.org/games-team/opentyrian

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr VCS_IDREV="echo ${DEB_VERSION}"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir=/usr/games

override_dh_install:
	dh_install
	# https://github.com/opentyrian/opentyrian/issues/43
	for size in 22 24 32 48 128 ; do \
	    install --mode=644 --preserve-timestamps -D \
                    linux/icons/tyrian-$${size}.png \
                    debian/opentyrian/usr/share/icons/hicolor/$${size}x$${size}/apps/opentyrian.png ;\
	done

=== debian/watch ===
version=4
https://github.com/opentyrian/opentyrian/releases/ .*/v@ANY_VERSION@.tar.gz

## opentyrian 2.1.20221123

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 man6dir ?= $(mandir)/man6
 man6ext ?= .6
 desktopdir ?= $(datarootdir)/applications
-pixmapdir ?= $(datarootdir)/pixmaps
+icondir ?= $(datarootdir)/icons
 
 # see https://www.pathname.com/fhs/pub/fhs-2.3.html
 
@@ -114,7 +114,11 @@
 	mkdir -p $(DESTDIR)$(docdir)
 	mkdir -p $(DESTDIR)$(man6dir)
 	mkdir -p $(DESTDIR)$(desktopdir)
-	mkdir -p $(DESTDIR)$(pixmapdir)
+	mkdir -p $(DESTDIR)$(icondir)/hicolor/22x22/apps
+	mkdir -p $(DESTDIR)$(icondir)/hicolor/24x24/apps
+	mkdir -p $(DESTDIR)$(icondir)/hicolor/32x32/apps
+	mkdir -p $(DESTDIR)$(icondir)/hicolor/48x48/apps
+	mkdir -p $(DESTDIR)$(icondir)/hicolor/128x128/apps
 
 .PHONY : install
 install : $(TARGET) installdirs
@@ -122,7 +126,11 @@
 	$(INSTALL_DATA) NEWS README $(DESTDIR)$(docdir)/
 	$(INSTALL_DATA) linux/man/opentyrian.6 $(DESTDIR)$(man6dir)/opentyrian$(man6ext)
 	$(INSTALL_DATA) linux/opentyrian.desktop $(DESTDIR)$(desktopdir)/
-	$(INSTALL_DATA) linux/icons/tyrian-32.png $(DESTDIR)$(pixmapdir)/opentyrian.png
+	$(INSTALL_DATA) linux/icons/tyrian-22.png $(DESTDIR)$(icondir)/hicolor/22x22/apps/opentyrian.png
+	$(INSTALL_DATA) linux/icons/tyrian-24.png $(DESTDIR)$(icondir)/hicolor/24x24/apps/opentyrian.png
+	$(INSTALL_DATA) linux/icons/tyrian-32.png $(DESTDIR)$(icondir)/hicolor/32x32/apps/opentyrian.png
+	$(INSTALL_DATA) linux/icons/tyrian-48.png $(DESTDIR)$(icondir)/hicolor/48x48/apps/opentyrian.png
+	$(INSTALL_DATA) linux/icons/tyrian-128.png $(DESTDIR)$(icondir)/hicolor/128x128/apps/opentyrian.png
 
 .PHONY : uninstall
 uninstall :
@@ -130,7 +138,11 @@
 	rm -f $(DESTDIR)$(docdir)/NEWS $(DESTDIR)$(docdir)/README
 	rm -f $(DESTDIR)$(man6dir)/opentyrian$(man6ext)
 	rm -f $(DESTDIR)$(desktopdir)/opentyrian.desktop
-	rm -f $(DESTDIR)$(pixmapdir)/opentyrian.png
+	rm -f $(DESTDIR)$(icondir)/hicolor/22x22/apps/opentyrian.png
+	rm -f $(DESTDIR)$(icondir)/hicolor/24x24/apps/opentyrian.png
+	rm -f $(DESTDIR)$(icondir)/hicolor/32x32/apps/opentyrian.png
+	rm -f $(DESTDIR)$(icondir)/hicolor/48x48/apps/opentyrian.png
+	rm -f $(DESTDIR)$(icondir)/hicolor/128x128/apps/opentyrian.png
 
 .PHONY : clean
 clean :

=== debian/changelog ===
opentyrian (2.1.20221123-2) unstable; urgency=medium

  * Make-it cross-buildable
  * Consider Yad as an alternative to Zenity
  * Removed versioned dependency on ancient GDP
  * Update standards version to 4.6.2, no changes needed.
  * Change my email address

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 01:07:10 +0100

opentyrian (2.1.20221123-1) unstable; urgency=low

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.
  * The icons are now installed by the upstream Makefile

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 01 Jan 2023 18:25:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Etienne Millon <me@emillon.org>,
- Alexandre Detiste <alexandre.detiste@gmail.com>,
+ Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libsdl2-net-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/opentyrian/opentyrian
 Vcs-Git: https://salsa.debian.org/games-team/opentyrian.git
 Vcs-Browser: https://salsa.debian.org/games-team/opentyrian
@@ -19,9 +19,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- tyrian-data | game-data-packager (>= 40),
+ tyrian-data | game-data-packager,
 Suggests:
- zenity | kdialog | x11-utils | libnotify-bin,
+ yad | zenity | kdialog | x11-utils | libnotify-bin,
 Description: open-source port of the DOS shoot-em-up Tyrian
  Tyrian is an arcade-style vertical scrolling shooter. The story is set in
  20,031 where you play as Trent Hawkins, a skilled fighter-pilot employed to

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE = 1
export DPKG_EXPORT_BUILDTOOLS = 1

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr VCS_IDREV="echo ${DEB_VERSION}"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir=/usr/games

=== debian/watch ===
version=4
https://github.com/opentyrian/opentyrian/tags .*/v@ANY_VERSION@.tar.gz
